Skip to main content
POST
/
v1
/
trading
/
orders
Place order
curl --request POST \
  --url https://api.usenaive.ai/v1/trading/orders \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "symbol": "<string>",
  "qty": "<unknown>",
  "notional": "<unknown>",
  "limit_price": "<unknown>",
  "stop_price": "<unknown>",
  "trail_price": "<unknown>",
  "trail_percent": "<unknown>",
  "extended_hours": true,
  "take_profit": {},
  "stop_loss": {},
  "client_order_id": "<string>"
}
'
{}

Authorizations

Authorization
string
header
required

Workspace API key. Create one via the dashboard or POST /v1/auth/keys.

Body

application/json
symbol
string
required
side
enum<string>
required
Available options:
buy,
sell
qty
any
notional
any
env
enum<string>
Available options:
paper,
live
type
enum<string>
Available options:
market,
limit,
stop,
stop_limit,
trailing_stop
time_in_force
enum<string>
Available options:
day,
gtc,
opg,
cls,
ioc,
fok
limit_price
any
stop_price
any
trail_price
any
trail_percent
any
extended_hours
boolean
order_class
enum<string>
Available options:
simple,
bracket,
oco,
oto
take_profit
object
stop_loss
object
client_order_id
string

Response

Order placed.

The response is of type object.